##### TODO
# Add systems (basically systems process and update the components)
	#x Read from ./systems/SYS_NAME.rb
	# systems are blocks passed to constructor class (blocks defined in custom file, see above)
	# put all systems in a system controller class
	# at the end of the app, put some sort of SystemController.run method
	# SC.run loops through all systems to process them, keeping original component data and then applying all changes at the end of the tick
# Release
	# make git repo
	# initialize gem (bundler?)
	# move in source files
	# finish setting up gem
	# push to gitlab, release gem
#####

# REQUIRES
begin
	#require 'bundler'
	#Bundler.require(:defualt)
	require 'json'
rescue LoadError
	puts "Attempting to get missing dependencies..."
	system "bundle install"
	retry
end

# LOAD LOCAL FILES
require File.join(".", "lib", "load")
require File.join(".", "lib", "entity")
require File.join(".", "lib", "system")
require File.join(".", "lib", "version")

# MAIN RUN METHOD
module CES
	def self.run_example
		p CES.loadcomponents
		p CES.loadsystems.keys
		
		p CES::Entity.new("print_current_time_with_append")
		
		CES::SystemReference.run
	end
end