module CES
	def self.loadcomponents(directory = "components")
		filenames = []
		components = []
		current_file_data = nil
		current_parsed_data = nil
		
		filenames = Dir.entries(File.join(".", directory)).select { |f| !File.directory? f }
		#p filenames
		
		filenames.each { |current_file_name|
			current_file_data = File.read(File.join(".", directory, current_file_name))
			current_parsed_data = JSON.parse(current_file_data)
			components.push(current_parsed_data)
		}
		#p components
		
		# add components to component reference
		CES::ComponentReference.loadedcomponents(components)
		
		return components
	end
	def self.loadsystems(directory = "systems")
		systemfilenames = []
		
		systemfilenames = Dir.entries(File.join(".", directory)).select { |f| !File.directory? f }
		
		systemfilenames.each { |current_file_name|
			require File.join(".", directory, current_file_name)
		}
		
		return CES::SystemReference.systems
	end
end